MagickCore: compress.h File Reference

# compress.h File Reference

Go to the source code of this file.

## Typedefs
typedef struct _Ascii85Info | Ascii85Info
## Enumerations
enum | CompressionType { UndefinedCompression, NoCompression, BZipCompression, FaxCompression, Group4Compression, JPEGCompression, JPEG2000Compression, LosslessJPEGCompression, LZWCompression, RLECompression, ZipCompression }
## Functions
MagickExport MagickBooleanType | HuffmanDecodeImage (Image *)
MagickExport MagickBooleanType | HuffmanEncodeImage (const ImageInfo *, Image *)
MagickExport MagickBooleanType | Huffman2DEncodeImage (const ImageInfo *, Image *)
MagickExport MagickBooleanType | LZWEncodeImage (Image *, const size_t, unsigned char *)
MagickExport MagickBooleanType | PackbitsEncodeImage (Image *, const size_t, unsigned char *)
MagickExport MagickBooleanType | ZLIBEncodeImage (Image *, const size_t, unsigned char *)
MagickExport void | Ascii85Encode (Image *, const unsigned char)
MagickExport void | Ascii85Flush (Image *)
MagickExport void | Ascii85Initialize (Image *)

## Typedef Documentation

typedef struct _Ascii85Info Ascii85Info

## Enumeration Type Documentation

enum CompressionType

Enumerator:

  UndefinedCompression |
  NoCompression |
  BZipCompression |
  FaxCompression |
  Group4Compression |
  JPEGCompression |
  JPEG2000Compression |
  LosslessJPEGCompression |
  LZWCompression |
  RLECompression |
  ZipCompression |

## Function Documentation

MagickExport void Ascii85Encode | ( | Image * | ,
|  | const unsigned char |  |
| ) |  |  |

MagickExport void Ascii85Flush | ( | Image * |  | ) |

MagickExport void Ascii85Initialize | ( | Image * |  | ) |

MagickExport MagickBooleanType Huffman2DEncodeImage | ( | const ImageInfo * | ,
|  | Image * |  |
| ) |  |  |

MagickExport MagickBooleanType HuffmanDecodeImage | ( | Image * |  | ) |

MagickExport MagickBooleanType HuffmanEncodeImage | ( | const ImageInfo * | ,
|  | Image * |  |
| ) |  |  |

MagickExport MagickBooleanType LZWEncodeImage | ( | Image * | ,
|  | const | size_t,
|  | unsigned char * |  |
| ) |  |  |

MagickExport MagickBooleanType PackbitsEncodeImage | ( | Image * | ,
|  | const | size_t,
|  | unsigned char * |  |
| ) |  |  |

MagickExport MagickBooleanType ZLIBEncodeImage | ( | Image * | ,
|  | const | size_t,
|  | unsigned char * |  |
| ) |  |  |